<?xml version="1.0" encoding="utf-8"?>
<!DOCTYPE article
  PUBLIC '-//OASIS//DTD DocBook XML V4.4//EN'
  'http://www.docbook.org/xml/4.4/docbookx.dtd'>
<article><articleinfo><title>FreedomBox/Manual/Radicale</title><revhistory><revision><revnumber>49</revnumber><date>2019-05-22 20:58:26</date><authorinitials>David Jones</authorinitials><revremark>Added instructions for syncronizing calendars over Tor in Thunderbird.</revremark></revision><revision><revnumber>48</revnumber><date>2019-04-04 15:49:32</date><authorinitials>JosephNuthalapati</authorinitials><revremark>Mention a gotcha about a trailing slash in radicale URL</revremark></revision><revision><revnumber>47</revnumber><date>2019-03-01 11:29:01</date><authorinitials>JamesValleroy</authorinitials><revremark>add screenshot of web interface</revremark></revision><revision><revnumber>46</revnumber><date>2019-03-01 04:01:20</date><authorinitials>JamesValleroy</authorinitials><revremark>add instructions on using web interface</revremark></revision><revision><revnumber>45</revnumber><date>2019-03-01 03:50:42</date><authorinitials>JamesValleroy</authorinitials><revremark>update setup instructions</revremark></revision><revision><revnumber>44</revnumber><date>2019-03-01 03:48:19</date><authorinitials>JamesValleroy</authorinitials><revremark>rename Plinth -&gt; FreedomBox Service (Plinth)</revremark></revision><revision><revnumber>43</revnumber><date>2019-02-27 00:07:37</date><authorinitials>SunilMohanAdapa</authorinitials><revremark>Update incorrect reference to collections-root</revremark></revision><revision><revnumber>42</revnumber><date>2019-02-26 20:24:11</date><authorinitials>SunilMohanAdapa</authorinitials><revremark>Minor update</revremark></revision><revision><revnumber>41</revnumber><date>2019-02-26 20:20:18</date><authorinitials>SunilMohanAdapa</authorinitials><revremark>Fix instructions for radicale 2.x manual migration</revremark></revision><revision><revnumber>40</revnumber><date>2019-02-21 18:48:01</date><authorinitials>SunilMohanAdapa</authorinitials><revremark>Remove 'not tested' notice</revremark></revision><revision><revnumber>39</revnumber><date>2019-02-21 03:38:31</date><authorinitials>SunilMohanAdapa</authorinitials><revremark>Add information about radicale 2.x migration</revremark></revision><revision><revnumber>38</revnumber><date>2019-02-10 23:10:19</date><authorinitials>JamesValleroy</authorinitials><revremark>only need domain name for DAVx5</revremark></revision><revision><revnumber>37</revnumber><date>2019-02-10 23:09:14</date><authorinitials>JamesValleroy</authorinitials><revremark>rename DAVdroid -&gt; DAVx5</revremark></revision><revision><revnumber>36</revnumber><date>2019-02-10 22:59:07</date><authorinitials>JamesValleroy</authorinitials><revremark>radicale is now in testing</revremark></revision><revision><revnumber>35</revnumber><date>2018-09-29 11:28:56</date><authorinitials>JamesValleroy</authorinitials><revremark>Use calendar-name in CalDAV url</revremark></revision><revision><revnumber>34</revnumber><date>2018-07-10 18:04:49</date><authorinitials>BartNotelaers</authorinitials></revision><revision><revnumber>33</revnumber><date>2018-06-17 16:36:11</date><authorinitials>JosephNuthalapati</authorinitials><revremark>Add a missing instruction on how to synchronize using DAVdroid</revremark></revision><revision><revnumber>32</revnumber><date>2018-06-01 10:48:04</date><authorinitials>JosephNuthalapati</authorinitials><revremark>Update DAVdroid account setup with screenshots</revremark></revision><revision><revnumber>31</revnumber><date>2018-01-03 08:54:14</date><authorinitials>JosephNuthalapati</authorinitials><revremark>Update broken link - radicale clients</revremark></revision><revision><revnumber>30</revnumber><date>2017-08-06 23:06:11</date><authorinitials>JohannesKeyser</authorinitials><revremark>updated dead link to radicale client page, and added warning about misleading URL info</revremark></revision><revision><revnumber>29</revnumber><date>2016-12-31 02:28:01</date><authorinitials>JamesValleroy</authorinitials><revremark>style changes</revremark></revision><revision><revnumber>28</revnumber><date>2016-09-09 15:36:28</date><authorinitials>SunilMohanAdapa</authorinitials><revremark>Minor indentation fix with screenshot</revremark></revision><revision><revnumber>27</revnumber><date>2016-09-09 14:43:07</date><authorinitials>SunilMohanAdapa</authorinitials><revremark>Minor fix to adjust screenshot</revremark></revision><revision><revnumber>26</revnumber><date>2016-09-01 19:11:38</date><authorinitials>Drahtseil</authorinitials><revremark>adapted title to Plinth wording</revremark></revision><revision><revnumber>25</revnumber><date>2016-08-31 17:26:23</date><authorinitials>Drahtseil</authorinitials><revremark>updated screenshot</revremark></revision><revision><revnumber>24</revnumber><date>2016-08-31 17:24:42</date><authorinitials>Drahtseil</authorinitials><revremark>Access rights</revremark></revision><revision><revnumber>23</revnumber><date>2016-08-01 16:32:28</date><authorinitials>Drahtseil</authorinitials></revision><revision><revnumber>22</revnumber><date>2016-08-01 16:28:29</date><authorinitials>Drahtseil</authorinitials><revremark>screenshots</revremark></revision><revision><revnumber>21</revnumber><date>2016-08-01 16:18:30</date><authorinitials>Drahtseil</authorinitials><revremark>Evolution tutorial to use Calendar instead of Contacts (just happen to have that screenshot)</revremark></revision><revision><revnumber>20</revnumber><date>2016-07-31 18:21:39</date><authorinitials>Drahtseil</authorinitials><revremark>Android, advanced user, screenshots still to follow</revremark></revision><revision><revnumber>19</revnumber><date>2016-07-31 16:54:46</date><authorinitials>Drahtseil</authorinitials></revision><revision><revnumber>18</revnumber><date>2016-05-18 12:40:51</date><authorinitials>SunilMohanAdapa</authorinitials><revremark>Reduce item nesting to &lt; 4 due to problems in generating FreedomBox Manual</revremark></revision><revision><revnumber>17</revnumber><date>2016-04-27 03:35:17</date><authorinitials>StacyCockrum</authorinitials><revremark>formatting</revremark></revision><revision><revnumber>16</revnumber><date>2016-04-27 03:24:18</date><authorinitials>StacyCockrum</authorinitials><revremark>Editing and added instructions for Evolution Calendar.</revremark></revision><revision><revnumber>15</revnumber><date>2016-04-26 06:11:34</date><authorinitials>PhilippeBaret</authorinitials><revremark>Editing</revremark></revision><revision><revnumber>14</revnumber><date>2016-04-25 11:43:17</date><authorinitials>StacyCockrum</authorinitials></revision><revision><revnumber>13</revnumber><date>2016-04-25 11:36:30</date><authorinitials>StacyCockrum</authorinitials><revremark>I'm not sure if this is the right place to put this kind of information.  I thought it would be helpful for a person to know some specifics around the settings.  Pls advise if it should go somewhere e</revremark></revision><revision><revnumber>12</revnumber><date>2016-04-16 01:38:12</date><authorinitials>PhilippeBaret</authorinitials><revremark>Added Why Radical app content</revremark></revision><revision><revnumber>11</revnumber><date>2016-04-16 01:36:07</date><authorinitials>PhilippeBaret</authorinitials><revremark>Correction</revremark></revision><revision><revnumber>10</revnumber><date>2016-04-15 14:58:18</date><authorinitials>StacyCockrum</authorinitials><revremark>2nd bullet under &quot;How to setup...?&quot;  Is it true that a new calendar/address book is created for each client or perhaps the clients need to be configured to access the calendar/address books?</revremark></revision><revision><revnumber>9</revnumber><date>2016-04-15 14:53:50</date><authorinitials>StacyCockrum</authorinitials><revremark>Struggled with the last sentence of the first bullet under &quot;How to setup Radicale?&quot;.  When the Radicale server is launched does CalDAV become a function of the server or is a CalDAV server?</revremark></revision><revision><revnumber>8</revnumber><date>2016-04-11 09:04:25</date><authorinitials>PhilippeBaret</authorinitials><revremark>Correction</revremark></revision><revision><revnumber>7</revnumber><date>2016-04-11 09:02:38</date><authorinitials>PhilippeBaret</authorinitials><revremark>Correction proper terms: CalDAV and CardDAV</revremark></revision><revision><revnumber>6</revnumber><date>2016-04-11 09:01:11</date><authorinitials>PhilippeBaret</authorinitials><revremark>Added Why running Radicale section</revremark></revision><revision><revnumber>5</revnumber><date>2016-04-11 08:53:27</date><authorinitials>PhilippeBaret</authorinitials><revremark>Correction</revremark></revision><revision><revnumber>4</revnumber><date>2016-04-11 08:48:16</date><authorinitials>PhilippeBaret</authorinitials><revremark>Added how to setup Radical server and clients in FreedomBox Manual</revremark></revision><revision><revnumber>3</revnumber><date>2016-04-10 07:12:39</date><authorinitials>PhilippeBaret</authorinitials><revremark>Added manual link</revremark></revision><revision><revnumber>2</revnumber><date>2016-04-10 07:09:27</date><authorinitials>PhilippeBaret</authorinitials><revremark>Added Radicale definition on FreedomBox manual</revremark></revision><revision><revnumber>1</revnumber><date>2016-04-10 06:40:28</date><authorinitials>PhilippeBaret</authorinitials><revremark>Added first content to Radicale manual page</revremark></revision></revhistory></articleinfo><section><title>Calendar and Addressbook (Radicale)</title><para>With Radicale, you can synchronize your personal calendars, ToDo lists, and addressbooks with your various computers, tablets, and smartphones, and share them with friends, without letting third parties know your personal schedule or contacts. </para><section><title>Why should I run Radicale?</title><para>Using Radicale, you can get rid of centralized services like Google Calendar or Apple Calendar (iCloud) data mining your events and social connections.  </para></section><section><title>How to setup Radicale?</title><para>First, the Radicale server needs to be activated on your box.  </para><itemizedlist><listitem><para>Within FreedomBox Service (Plinth) </para><orderedlist numeration="arabic"><listitem><para>select <emphasis>Apps</emphasis> </para></listitem><listitem><para>go to <emphasis>Radicale (Calendar and Addressbook)</emphasis> and  </para></listitem><listitem><para>install the application. After the installation is complete, make sure the application is marked &quot;enabled&quot; in the FreedomBox interface. Enabling the application launches the Radicale CalDAV/CardDAV server.  </para></listitem><listitem><para>define the access rights: </para><itemizedlist><listitem><para>Only the owner of a calendar/addressbook can view or make changes </para></listitem><listitem><para>Any user can view any calendar/addressbook, but only the owner can make changes </para></listitem><listitem><para>Any user can view or make changes to any calendar/addressbook </para></listitem></itemizedlist></listitem></orderedlist></listitem></itemizedlist><para>Note, that only users with a FreedomBox login can access Radicale. </para><para><inlinemediaobject><imageobject><imagedata fileref="https://wiki.debian.org/FreedomBox/Manual/Radicale?action=AttachFile&amp;do=get&amp;target=Radicale-Plinth.png"/></imageobject><textobject><phrase>Radicale-Plinth.png</phrase></textobject></inlinemediaobject> </para><para>If you want to share a calendar with only some users, the simplest approach is to create an additional user-name for these users and to share that user-name and password with them. </para><para>Radicale provides a basic web interface, which only supports creating new calendars and addressbooks. To add events or contacts, an external <ulink url="http://radicale.org/clients/">supported client application</ulink> is needed. </para><para><inlinemediaobject><imageobject><imagedata fileref="https://wiki.debian.org/FreedomBox/Manual/Radicale?action=AttachFile&amp;do=get&amp;target=radicale_web.png"/></imageobject><textobject><phrase>radicale_web.png</phrase></textobject></inlinemediaobject> </para><itemizedlist><listitem><para>Creating addressbook/calendar using the web interface </para><itemizedlist><listitem><para>Visit <code>https://</code><emphasis>IP-address-or-domain-for-your-server</emphasis><code>/radicale/</code> </para></listitem><listitem><para>Log in with your FreedomBox account </para></listitem><listitem><para>Select &quot;Create new addressbook or calendar&quot; </para></listitem><listitem><para>Provide a title and select the type </para></listitem><listitem><para>Optionally, provide a description or select a color </para></listitem><listitem><para>Click &quot;Create&quot; </para></listitem><listitem><para>The page will show the URL for your newly created addressbook or calendar </para></listitem></itemizedlist></listitem></itemizedlist><para>Now open your client application to create new calendar and address books that will use your FreedomBox and Radicale server. The Radicale website provides <ulink url="http://radicale.org/clients/">an overview of supported clients</ulink>, but do <emphasis>not</emphasis> use the URLs described there; FreedomBox uses another setup, follow this manual. Below are the steps for two examples: </para><itemizedlist><listitem><para>Example of setup with Evolution client: </para><itemizedlist><listitem><para>Calendar </para><orderedlist numeration="arabic"><listitem><para>Create a new calendar </para></listitem><listitem><para>For &quot;Type,&quot; select &quot;CalDAV&quot; </para></listitem><listitem><para>When &quot;CalDAV&quot; is selected, additional options will appear in the dialogue window. </para></listitem><listitem><para>URL: <code>https://</code><emphasis>IP-address-or-domain-for-your-server</emphasis><code>/radicale/</code><emphasis>user</emphasis><code>/</code><emphasis>calendar-name</emphasis><code>.ics/</code>. Items in <emphasis>italics</emphasis> need to be changed to match your settings. </para><itemizedlist><listitem><para>note the trailing <code>/</code> in the path, it is important. </para></listitem></itemizedlist></listitem><listitem><para>Enable &quot;Use a secure connection.&quot;     </para></listitem><listitem><para>Name the calendar </para><para><inlinemediaobject><imageobject><imagedata fileref="https://wiki.debian.org/FreedomBox/Manual/Radicale?action=AttachFile&amp;do=get&amp;target=Radicale-Evolution-Docu.png"/></imageobject><textobject><phrase>Radicale-Evolution-Docu.png</phrase></textobject></inlinemediaobject> </para></listitem></orderedlist></listitem><listitem><para>TODO/Tasks list: Adding a TODO/Tasks list is basically the same as a calendar. </para></listitem><listitem><para>Contacts </para><itemizedlist><listitem><para>Follow the same steps described above and replace CalDAV with WebDAV.  The extension of the address book will be .vcf. </para></listitem></itemizedlist></listitem></itemizedlist></listitem></itemizedlist></section><section><title>Synchronizing over Tor</title><para>In Plinth, setting up a calendar with Radicale over Tor is the same as over the clear net. Here is a short summary: </para><orderedlist numeration="arabic"><listitem><para>When logged in to Plinth over Tor, click on Radicale, and at the prompt provide your <ulink url="https://wiki.debian.org/FreedomBox/Manual/Radicale/FreedomBox#">FreedomBox</ulink> user name and password.  </para></listitem><listitem><para>In the Radicale web interface, log in using your <ulink url="https://wiki.debian.org/FreedomBox/Manual/Radicale/FreedomBox#">FreedomBox</ulink> user name and password. </para></listitem><listitem><para>Click on &quot;Create new address book or calendar&quot;, provide a title, select a type, and click &quot;Create&quot;. </para></listitem><listitem><para>Save the URL, e.g., <code>https://</code><emphasis>ONION-ADDRESS-FOR-YOUR-SERVER</emphasis><code>.onion/radicale/</code><emphasis>USERNAME</emphasis><code>/</code><emphasis>CALENDAR-CODE</emphasis><code>/</code>. Items in <emphasis>italics</emphasis> need to be changed to match your settings. </para></listitem></orderedlist><para>These instructions are for Thunderbird/Lightning. Note that you will need to be connected to Tor with the Tor Browser Bundle.  </para><orderedlist numeration="arabic"><listitem><para>Open Thunderbird, install the Torbirdy add-on, and restart Thunderbird. (This may not be necessary.) </para></listitem><listitem><para>In the Lightning interface, under Calendar/Home in the left panel right click with the mouse and select &quot;New calendar&quot;. </para></listitem><listitem><para>Select the location of your calendar as &quot;On the Network&quot;. </para></listitem><listitem><para>Select CalDAV and for the location copy the URL, e.g., <code>https://</code><emphasis>ONION-ADDRESS-FOR-YOUR-SERVER</emphasis><code>.onion/radicale/</code><emphasis>USERNAME</emphasis><code>/</code><emphasis>CALENDAR-CODE</emphasis><code>/</code>. Items in <emphasis>italics</emphasis> need to be changed to match your settings. </para></listitem><listitem><para>Provide a name, etc. Click &quot;Next&quot;. Your calendar is now syncing with your <ulink url="https://wiki.debian.org/FreedomBox/Manual/Radicale/FreedomBox#">FreedomBox</ulink> over Tor. </para></listitem><listitem><para>If you have not generated a certificate for your <ulink url="https://wiki.debian.org/FreedomBox/Manual/Radicale/FreedomBox#">FreedomBox</ulink> with &quot;Let's Encrypt&quot;, you may need to select &quot;Confirm Security Exception&quot; when prompted. </para></listitem></orderedlist></section><section><title>Synchronizing with your Android phone</title><para>There are various Apps that allow integration with the Radicale server. This example uses DAVx5, which is available e.g. on <ulink url="https://f-droid.org/repository/browse/?fdid=at.bitfire.davdroid">F-Droid</ulink>.   If you intend to use ToDo-Lists as well, the compatible app <ulink url="https://f-droid.org/repository/browse/?fdid=org.dmfs.tasks">OpenTasks</ulink> has to be installed first. </para><para>Follow these steps for setting up your account with the Radicale server running on your FreedomBox. </para><orderedlist numeration="arabic"><listitem><para>Install DAVx5 </para></listitem><listitem><para>Create a new account on DAVx5 by clicking on the floating + button. </para></listitem><listitem><para>Select the second option as shown in the first figure below and enter the base url as <emphasis><ulink url="https://&lt;your.freedombox.address&gt;/radicale/username/"/></emphasis> (don't miss the <code>/</code> at the end). DAVx5 will be able to discover both CalDAV and WebDAV accounts for the user.  </para></listitem><listitem><para>Follow this video from <ulink url="https://www.davdroid.com/faq/existing-contacts-are-not-synced">DAVx5 FAQ</ulink> to learn how to migrate your existing contacts to Radicale. </para></listitem></orderedlist><para><emphasis role="strong">Synchronizing contacts</emphasis>  </para><orderedlist numeration="arabic"><listitem><para>Click on the hamburger menus of CalDAV and CardDAV and select either &quot;Refresh ...&quot; in case of existing accounts or &quot;Create ...&quot; in case of new accounts (see the second screenshot below). </para></listitem><listitem><para>Check the checkboxes for the address books and calendars you want to synchronize and click on the sync button in the header. (see the third screenshot below) </para></listitem></orderedlist><para><inlinemediaobject><imageobject><imagedata fileref="https://wiki.debian.org/FreedomBox/Manual/Radicale?action=AttachFile&amp;do=get&amp;target=DAVdroid-setup-account.png" width="288"/></imageobject><textobject><phrase>DAVx5 account setup</phrase></textobject></inlinemediaobject> <inlinemediaobject><imageobject><imagedata fileref="https://wiki.debian.org/FreedomBox/Manual/Radicale?action=AttachFile&amp;do=get&amp;target=DAVdroid-refresh.png" width="288"/></imageobject><textobject><phrase>DAVx5 refresh</phrase></textobject></inlinemediaobject> <inlinemediaobject><imageobject><imagedata fileref="https://wiki.debian.org/FreedomBox/Manual/Radicale?action=AttachFile&amp;do=get&amp;target=DAVdroid-sync-account.png" width="288"/></imageobject><textobject><phrase>DAVx5 account sync</phrase></textobject></inlinemediaobject> </para></section><section><title>Advanced Users</title><section><title>Sharing resources</title><para>Above was shown an easy way to create a resource for a group of people by creating a dedicated account for all. Here will be described an alternative method where two users <code>User1</code> and <code>User2</code> are granted access to a calendar. This requires SSH-access to the FreedomBox. </para><orderedlist numeration="arabic"><listitem><para>create a file <code>/etc/radicale/rights</code> </para><itemizedlist><listitem override="none"><screen><![CDATA[[friends_calendar]
user: ^(User1|User2)$
collection: ^.*/calendar_of_my_friends.ics$
permission: rw
]]><![CDATA[
# Give write access to owners
[owner-write]
user: .+
collection: ^%(login)s/.+$
permission: rw]]></screen></listitem><listitem><para><code>[friends_calendar]</code> is just an identifier, can be any name. </para></listitem><listitem><para>The <code>[owner-write]</code> section makes sure that owners have access to their own files </para></listitem></itemizedlist></listitem><listitem><para>edit file <code>/etc/radicale/config</code> and make the following changes in section <code>[rights)</code> </para><itemizedlist><listitem override="none"><screen><![CDATA[[rights]
type = from_file
file = /etc/radicale/rights]]></screen></listitem></itemizedlist></listitem><listitem><para>Restart the radicale server or the FreedomBox </para></listitem></orderedlist></section><section><title>Importing files</title><para>If you are using a contacts file exported from another service or application, it should be copied to:  /var/lib/radicale/collections/<emphasis>user</emphasis>/<emphasis>contact file name</emphasis>.vcf. </para></section></section><section><title>Migrating from Radicale Version 1.x to Version 2.x</title><para>During the month of February 2019, radicale in Debian testing was upgraded from version 1.x to version 2.x. Version 2.x is a better version but is incompatible with data and configuration used with 1.x. Automatic upgrade mechanism in FreedomBox, handled by unattended-upgrades does not automatically upgrade radicale to version 2.x due to changes in configuration files. However, FreedomBox version 19.1, which is available on February 23rd, 2019 in testing will perform data and configuration migration to radicale version 2.x. Typical users require no action, this will happen automatically. </para><para>If for some reason, you need to manually run <code>apt dist-upgrade</code> on your machine, then radicale will be upgraded to 2.x and then FreedomBox will not be able to perform its upgrade (due to upstream project deciding to remove migration tools in radicale 2.x version). To avoid this situation, the following process is recommended if you wish to perform an upgrade. </para><screen><![CDATA[sudo su -
apt hold radicale
apt dist-upgrade
apt unhold radicale]]></screen><para>However, if you already happen to perform an upgrade to radicale 2.x without help from FreedomBox, you need to perform data and configuration migration yourself. Follow this procedure: </para><screen><![CDATA[sudo su -
tar -cvzf /root/radicale_backup.tgz /var/lib/radicale/ /etc/radicale/ /etc/default/radicale
apt install -y python-radicale
python -m radicale --export-storage=/root/radicale-migration
cp -dpR /root/radicale-migration/collection-root /var/lib/radicale/collections/collection-root/
(remove this directory if it already exists. Or perhaps merge the contents.)
chown -R radicale:radicale /var/lib/radicale/collections/collection-root/
apt remove -y python-radicale
if [ -f /etc/radicale/config.dpkg-dist ] ; then cp /etc/radicale/config.dpkg-dist /etc/radicale/config ; fi
if [ -f /etc/default/radicale.dpkg-dist ] ; then cp /etc/default/radicale.dpkg-dist /etc/default/radicale ; fi
(After FreedomBox 19.1 is available, goto FreedomBox web interface and set your preference for calendar sharing again, if it is not the default option, as it will have been lost.)]]></screen><para>Notes: </para><itemizedlist><listitem><para>python-radicale is an old package from radicale 1.x version that is still available in testing. This is a hack to use the <code>--export-storage</code> feature that is responsible for data migration. This feature is not available in radicale 2.x unfortunately. </para></listitem><listitem><para>Files ending with .dpkg-dist will exist only if you have chosen 'Keep your currently-installed version' when prompted for configuration file override during radicale 2.x upgrade. The above process will overwrite the old configuration with new fresh configuration. No changes are necessary to the two configuration files unless you have changed the setting for sharing calendars. </para></listitem><listitem><para>Note that during the migration, your data is safe in /var/lib/radicale/collections directory. New data will be created and used in /var/lib/radicale/collections/collections-root/ directory. </para></listitem><listitem><para>The tar command takes a backup your configuration and data in /root/radicale_backup.tgz in case you do something goes wrong and you want to undo the changes. </para></listitem></itemizedlist><para>Back to <ulink url="https://wiki.debian.org/FreedomBox/Manual/Radicale/FreedomBox/Features#">Features introduction</ulink> or <ulink url="https://wiki.debian.org/FreedomBox/Manual/Radicale/FreedomBox/Manual#">manual</ulink> pages. </para><!--rule (<hr>) is not applicable to DocBook--><informaltable><tgroup cols="8"><colspec colname="col_0"/><colspec colname="col_1"/><colspec colname="col_2"/><colspec colname="col_3"/><colspec colname="col_4"/><colspec colname="col_5"/><colspec colname="col_6"/><colspec colname="col_7"/><tbody><row rowsep="1"><entry colsep="1" rowsep="1"><para><emphasis role="strong">Information</emphasis></para></entry><entry colsep="1" rowsep="1"/><entry colsep="1" rowsep="1"/><entry colsep="1" rowsep="1"><para><emphasis role="strong">Support</emphasis></para></entry><entry colsep="1" rowsep="1"><para><emphasis role="strong">Contribute</emphasis></para></entry><entry colsep="1" rowsep="1"/><entry colsep="1" rowsep="1"><para><emphasis role="strong">Reports</emphasis></para></entry><entry colsep="1" rowsep="1"><para><emphasis role="strong">Promote</emphasis></para></entry></row><row rowsep="1"><entry colsep="1" rowsep="1"><para><ulink url="https://wiki.debian.org/FreedomBox/Manual/Radicale/FreedomBox/Introduction#">Overview</ulink>      </para></entry><entry colsep="1" rowsep="1"><para><ulink url="https://wiki.debian.org/FreedomBox/Manual/Radicale/FreedomBox/Hardware#">Hardware</ulink>      </para></entry><entry colsep="1" rowsep="1"><para><emphasis role="strong"> </emphasis></para></entry><entry colsep="1" rowsep="1"><para><ulink url="https://wiki.debian.org/FreedomBox/Manual/Radicale/FreedomBox/Support#">Live Help</ulink>     </para></entry><entry colsep="1" rowsep="1"><para><ulink url="https://wiki.debian.org/FreedomBox/Manual/Radicale/FreedomBox/Contribute#">Where To Start</ulink>     </para></entry><entry colsep="1" rowsep="1"><para><ulink url="https://wiki.debian.org/FreedomBox/Manual/Radicale/FreedomBox/Translate#">Translate</ulink>    </para></entry><entry colsep="1" rowsep="1"><para><ulink url="https://wiki.debian.org/FreedomBox/Manual/Radicale/FreedomBox/ProgressCalls#">Calls</ulink>      </para></entry><entry colsep="1" rowsep="1"><para><ulink url="https://wiki.debian.org/FreedomBox/Manual/Radicale/FreedomBox/TalksAndPresentations#">Talks</ulink>     </para></entry></row><row rowsep="1"><entry colsep="1" rowsep="1"><para><ulink url="https://wiki.debian.org/FreedomBox/Manual/Radicale/FreedomBox/Features#">Features</ulink>     </para></entry><entry colsep="1" rowsep="1"><para><ulink url="https://wiki.debian.org/FreedomBox/Manual/Radicale/FreedomBox/Vision#">Vision</ulink>     </para></entry><entry colsep="1" rowsep="1"><para><emphasis role="strong"> </emphasis></para></entry><entry colsep="1" rowsep="1"><para><ulink url="https://wiki.debian.org/FreedomBox/Manual/Radicale/FreedomBox/QuestionsAndAnswers#">Q&amp;A</ulink>      </para></entry><entry colsep="1" rowsep="1"><para><ulink url="https://wiki.debian.org/FreedomBox/Manual/Radicale/FreedomBox/Design#">Design</ulink>      </para></entry><entry colsep="1" rowsep="1"><para><ulink url="https://wiki.debian.org/FreedomBox/Manual/Radicale/FreedomBox/TODO#">To Do</ulink>      </para></entry><entry colsep="1" rowsep="1"><para><ulink url="https://wiki.debian.org/FreedomBox/Manual/Radicale/FreedomBox/ReleaseNotes#">Releases</ulink>       </para></entry><entry colsep="1" rowsep="1"><para><ulink url="https://wiki.debian.org/FreedomBox/Manual/Radicale/FreedomBox/Press#">Press</ulink>     </para></entry></row><row rowsep="1"><entry colsep="1" rowsep="1"><para><ulink url="https://wiki.debian.org/FreedomBox/Manual/Radicale/FreedomBox/Download#">Download</ulink>     </para></entry><entry colsep="1" rowsep="1"><para><ulink url="https://wiki.debian.org/FreedomBox/Manual/Radicale/FreedomBox/Manual#">Manual</ulink>      </para></entry><entry colsep="1" rowsep="1"><para><emphasis role="strong"> </emphasis></para></entry><entry colsep="1" rowsep="1"/><entry colsep="1" rowsep="1"><para><ulink url="https://wiki.debian.org/FreedomBox/Manual/Radicale/FreedomBox/Contribute/Code#">Code</ulink>      </para></entry><entry colsep="1" rowsep="1"><para><ulink url="https://wiki.debian.org/FreedomBox/Manual/Radicale/FreedomBox/Contributors#">Contributors</ulink>      </para></entry><entry colsep="1" rowsep="1"/><entry colsep="1" rowsep="1"><para><ulink url="https://wiki.debian.org/FreedomBox/Manual/Radicale/FreedomBox/Blog#">Blog</ulink>     </para></entry></row></tbody></tgroup></informaltable><para><!--"~-smaller-~" is not applicable to DocBook-->HELP &amp; DISCUSSIONS: <ulink url="https://discuss.freedombox.org">Discussion Forum</ulink> - <ulink url="https://lists.alioth.debian.org/mailman/listinfo/freedombox-discuss">Mailing List</ulink> - <ulink url="irc://irc.debian.org/freedombox">#freedombox irc.debian.org</ulink> | CONTACT <ulink url="https://freedomboxfoundation.org/">Foundation</ulink> | JOIN <ulink url="https://salsa.debian.org/freedombox-team/">Project</ulink>  </para><para><link linkend="">Next call</link>: Sunday, July 28th at 17:00 UTC </para><para><link linkend="">Latest news</link>: Announcing Pioneer FreedomBox Kits - 2019-03-26 </para><para>This page is copyright its contributors and is licensed under the <ulink url="https://creativecommons.org/licenses/by-sa/4.0/">Creative Commons Attribution-ShareAlike 4.0 International (CC BY-SA 4.0)</ulink> license. </para><!--rule (<hr>) is not applicable to DocBook--><para> <ulink url="https://wiki.debian.org/FreedomBox/Manual/Radicale/CategoryFreedomBox#">CategoryFreedomBox</ulink> </para></section></section></article>